Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.intake
Class IntakeTool.PullHelper

    java.lang.Object
      org.apache.turbine.services.intake.IntakeTool.PullHelper

Enclosing class:
  IntakeTool

    public class IntakeTool.PullHelper

extends Object

Inner class to present a nice interface to the template designer

Constructor Summary
`protected` | `IntakeTool.PullHelper(String groupName)` Protected constructor to force use of factory method.

Method Summary
`org.apache.fulcrum.intake.model.Group` | `getDefault()` Populates the object with the default values from the XML File
`org.apache.fulcrum.intake.model.Group` | `mapTo(org.apache.fulcrum.intake.Retrievable obj)` maps an Intake Group to the values from a Retrievable object.
`org.apache.fulcrum.intake.model.Group` | `setKey(String key)` Calls setKey(key,true)
`org.apache.fulcrum.intake.model.Group` | `setKey(String key, boolean create)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntakeTool.PullHelper

    protected IntakeTool.PullHelper(String groupName)

  Protected constructor to force use of factory method.

  Parameters:
    `groupName` -

Method Detail

### getDefault

    public org.apache.fulcrum.intake.model.Group getDefault()
                                                     throws org.apache.fulcrum.intake.IntakeException

  Populates the object with the default values from the XML File

  Returns:
    a Group object with the default values
  Throws:
    `org.apache.fulcrum.intake.IntakeException`

### setKey

    public org.apache.fulcrum.intake.model.Group setKey(String key)
                                                 throws org.apache.fulcrum.intake.IntakeException

  Calls setKey(key,true)

  Parameters:
    `key` -
  Returns:
    an Intake Group
  Throws:
    `org.apache.fulcrum.intake.IntakeException`

### setKey

    public org.apache.fulcrum.intake.model.Group setKey(String key,
                                                        boolean create)
                                                 throws org.apache.fulcrum.intake.IntakeException

  Parameters:
    `key` -
    `create` -
  Returns:
    an Intake Group
  Throws:
    `org.apache.fulcrum.intake.IntakeException`

### mapTo

    public org.apache.fulcrum.intake.model.Group mapTo(org.apache.fulcrum.intake.Retrievable obj)

  maps an Intake Group to the values from a Retrievable object.

  Parameters:
    `obj` - A retrievable object
  Returns:
    an Intake Group

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.